# IBlacklist

## Functions

### blacklistedAccounts

Returns all blacklisted accounts.

```solidity
function blacklistedAccounts() external view returns (address[] memory);
```

### blacklistedLength

Returns the number of blacklisted accounts.

```solidity
function blacklistedLength() external view returns (uint256);
```

### isBlacklisted

Returns true if the account is blacklisted.

```solidity
function isBlacklisted(address account) external view returns (bool);
```

## Events

### Blacklisted

Emitted when an account is added to the blacklist.

```solidity
event Blacklisted(address indexed account);
```

### Unblacklisted

Emitted when an account is removed from the blacklist.

```solidity
event Unblacklisted(address indexed account);
```

## Errors

### Blacklist\_\_AlreadyBlacklisted

```solidity
error Blacklist__AlreadyBlacklisted();
```

### Blacklist\_\_Blacklisted

```solidity
error Blacklist__Blacklisted();
```

### Blacklist\_\_NotBlacklisted

```solidity
error Blacklist__NotBlacklisted();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ariaprotocol.xyz/technical-docs/contract-docs/legal/interfaces/iblacklist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
